name: Build and Deploy Quartz
run-name: ${{ gitea.actor }} is building Quartz site
on: [push, workflow_dispatch]
jobs:
  build:
    runs-on: docker
    steps:
      - run: apk add --no-cache nodejs npm git rsync coreutils
      - uses: actions/checkout@v4
        with:
          fetch-depth: 0
      - run: npm ci
      - run: npx quartz build
      - run: rsync -avz --delete ./public/ /sites/pdg/
